#!/bin/dash


# I have this line in my /etc/fstab :

# UUID=4C11-ED5A              /media/CybookOpus  vfat    utf8,rw,user,noauto,shortname=win95      0      0

# That UUID appears to /dev/disk/by-uuid when my Bookeen Cybook Opus
# is attached to some USB-port.


MOUNTPOINT="/media/CybookOpus"
MYDIR="${MOUNTPOINT}/eBooks/juhtolv"



if test ! -d ${MYDIR}
then
    mount -v ${MOUNTPOINT} || exit 1
fi

if test -d ${MYDIR}
then
    cp -fv *.epub *.html *.pdf 000LUEMUT.txt ${MYDIR}/
    sync ; sync ; sync ; sync
else
    sync ; sync ; sync ; sync
    exit 1
fi

umount -v ${MOUNTPOINT} || exit 1

